From 28e68799be0457190603e1132e4e88441f5d2c5e Mon Sep 17 00:00:00 2001
From: manisha <manisha_kanyal.scsebtech@galgotiasuniversity.edu.in>
Date: Jun 07 2021 13:29:31 +0000
Subject: [PATCH 5/9] Wizard page redesign


---

diff --git a/src/App.js b/src/App.js
index 8b8864d..ec0ae5d 100644
--- a/src/App.js
+++ b/src/App.js
@@ -6,6 +6,7 @@ import { BrowserRouter } from "react-router-dom"
 import Wizard from "./wizard/Wizard"
 import LandingPage from "./landingpage/LandingPage"
 import NotFound from "./NotFound"
+import Connecting from "./wizard/Connecting"
 
 class App extends Component {
   render() {
@@ -16,6 +17,8 @@ class App extends Component {
             <Route path="/" exact component={LandingPage} />
 
             <Route path="/wizard" component={Wizard} />
+            <Route path="/connecting" component={Connecting} />
+
             <Route path="/landingpage" component={LandingPage} />
             <Route component={NotFound} />
           </Switch>
diff --git a/src/wizard/Connecting.js b/src/wizard/Connecting.js
new file mode 100644
index 0000000..e683270
--- /dev/null
+++ b/src/wizard/Connecting.js
@@ -0,0 +1,98 @@
+import React, { Component } from "react"
+import Layout from "../layout/Layout"
+import { Col, Container, Row } from "reactstrap"
+
+import { connect } from "react-redux"
+import { loadWizardData } from "../actions/reduxActions"
+import WizardStepper from "./WizardStepper"
+import Filter from "./Filter"
+
+class Wizard extends Component {
+  constructor(props) {
+    super(props)
+    this.state = {
+      actions: [],
+      steps: {
+        currentStep: "STEP1",
+        step: {
+          STEP1: null,
+          STEP2: null,
+          STEP3: null,
+          STEP4: null,
+        },
+      },
+    }
+    this.getData = this.getData.bind(this)
+    this.onNext = this.onNext.bind(this)
+    this.onPrev = this.onPrev.bind(this)
+  }
+
+  onPrev(pre) {
+    this.setState({
+      steps: {
+        ...this.state.steps,
+        currentStep: pre,
+      },
+    })
+  }
+
+  onNext(step, selectedOption) {
+    const nextStep = "STEP" + String(Number(step.slice(-1)) + 1)
+    this.setState({
+      steps: {
+        currentStep: nextStep,
+        step: {
+          ...this.state.steps.step,
+          [step]: selectedOption,
+        },
+      },
+    })
+  }
+
+  getData() {
+    this.props.dispatch(loadWizardData())
+  }
+
+  componentDidMount() {
+    this.getData()
+  }
+
+  show_actions(actions) {
+    this.setState({ actions })
+  }
+
+  render() {
+    console.log(this.state.steps)
+    return (
+      <Layout apiCallStatus={this.props.api_call_status}>
+        <Container>
+          <Row className="justify-content-center align-items-center">
+            <Col md="12">
+              <WizardStepper steps={this.state.steps} onNext={this.onNext} onPrev={this.onPrev} />
+              <Filter />
+              {this.state.steps.currentStep === "STEP1" ? (
+                <Col md="12">
+                  <h1 className="padded text-center">Nothing sparked joy?</h1>
+                  <h4 className="padded text-center">
+                    None of the above looks interesting to you? We'd be happy if you looked around
+                    at{" "}
+                    <a href="https://whatcanidoforfedora.org/">https://whatcanidoforfedora.org/</a>
+                    !
+                  </h4>
+                </Col>
+              ) : null}
+            </Col>
+          </Row>
+        </Container>
+      </Layout>
+    )
+  }
+}
+
+const mapStateToProps = (state) => {
+  return {
+    ...state.wizard,
+  }
+}
+
+export default connect(mapStateToProps)(Wizard)
diff --git a/src/wizard/Filter.js b/src/wizard/Filter.js
index 5a39cac..3d822df 100644
--- a/src/wizard/Filter.js
+++ b/src/wizard/Filter.js
@@ -1,6 +1,13 @@
 import React, { useState } from "react"
 import { shallowEqual, useSelector } from "react-redux"
-import { UncontrolledDropdown, DropdownToggle, DropdownMenu, DropdownItem } from "reactstrap"
+import {
+  UncontrolledDropdown,
+  DropdownToggle,
+  DropdownMenu,
+  DropdownItem,
+  Card,
+  CardBody,
+} from "reactstrap"
 
 import * as R from "ramda"
 import Easyfix from "./Easyfix"
@@ -28,20 +35,20 @@ function Filter() {
     return tags
   }
 
-  const processData = (data, firstLevelGroupKey, secondLevelGroupKey) => {
-    const getProcessedData = R.pipe(
-      R.groupBy((a) => a.extra_data[firstLevelGroupKey]),
-      R.map((v) => R.groupBy((a) => a.extra_data[secondLevelGroupKey], v))
-    )
-    return getProcessedData(data)
-  }
+  //   const processData = (data, firstLevelGroupKey, secondLevelGroupKey) => {
+  //     const getProcessedData = R.pipe(
+  //       R.groupBy((a) => a.extra_data[firstLevelGroupKey]),
+  //       R.map((v) => R.groupBy((a) => a.extra_data[secondLevelGroupKey], v))
+  //     )
+  //     return getProcessedData(data)
+  //   }
 
   //   const getData2 = () => {
   //     const actions = R.filter((a) => a.tags.includes(lang), grouped["easyfix"])
   //     return actions
   //   }
 
-  const easyfixTestingData = processData(getData() || [], "repo_org", "repo_name")
+  //   const easyfixTestingData = processData(grouped["easyfix"] || [], "repo_org", "repo_name")
 
   console.log(lang)
 
@@ -55,7 +62,7 @@ function Filter() {
           ))}
         </DropdownMenu>
       </UncontrolledDropdown>
-      <Easyfix data={easyfixTestingData} key="easyfix" />
+      {/* <Easyfix data={easyfixTestingData} key="easyfix" /> */}
     </div>
   )
 }

